Index: src/daemon/common/commonComplexOptions.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/common/commonComplexOptions.ml,v
retrieving revision 1.53
diff -u -u -w -r1.53 commonComplexOptions.ml
--- src/daemon/common/commonComplexOptions.ml	12 May 2006 21:08:30 -0000	1.53
+++ src/daemon/common/commonComplexOptions.ml	19 May 2006 21:58:15 -0000
@@ -30,15 +30,13 @@
 open CommonTypes
 open CommonFile
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[cCO] "
-    (log_time ()); lprintf_nl2
-      
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[cCO] "
-    (log_time ()); lprintf
+let log_prefix = "[cCO]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 (*************************************************************************)
 (*                                                                       *)
@@ -70,12 +68,12 @@
             with _ -> "Donkey" in
           let network = 
             try network_find_by_name network with e ->
-                lprintf_nl ()
+                lprintf_nl
 		  "Error %s for network %s while parsing file %s"
 		    (Printexc2.to_string e)
 		    network
 		    (get_value "file_filename" value_to_string);
-		lprintf_nl () "This core is lacking support for network %s, exiting" network;
+    lprintf_nl "This core is lacking support for network %s, exiting" network;
                 exit_properly 70
           in
           let file_state = 
@@ -106,7 +104,7 @@
             with _ -> ());
           set_file_priority file priority;
 
-          if !verbose then lprintf_nl () "New %s file %s"
+          if !verbose then lprintf_nl "New %s file %s"
 	      (match file_state with
                  FileDownloading -> "downloading"
                | FileDownloaded -> "downloaded"
@@ -268,7 +266,7 @@
           in
           let network = 
             try network_find_by_name network with e ->
-                lprintf_nl () "Network %s not supported" network;
+                lprintf_nl "Network %s not supported" network;
                 raise e
               in
           let server = network_server_of_option network assocs in
@@ -967,13 +965,13 @@
         Options.save_with_help results_ini;
         results =:= [];
     end;
-  lprintf_nl () "Options correctly saved"
+  lprintf_nl "Options correctly saved"
   end
 
 let save_sources () =
   if !allow_saving_ini_files then begin
   networks_iter (fun n -> network_save_sources n);
-  lprintf_nl () "Sources correctly saved"
+  lprintf_nl "Sources correctly saved"
   end
 
 open Zip
@@ -1032,11 +1030,11 @@
 	    (* for whatever reason this error is raised on Windows,
                but fasttrack.ini is stored correctly *)
 	    if !verbose then
-	      lprintf_nl () "Tar: Windows specific pseudo error %s in %s" error arg
+        lprintf_nl "Tar: Windows specific pseudo error %s in %s" error arg
 	  end
 	else begin
 	  failed_files := arg :: !failed_files;
-	  lprintf_nl () "Tar: error %s in %s" error arg
+    lprintf_nl "Tar: error %s in %s" error arg
         end
     ) files);
     if !failed_files <> [] then
@@ -1077,9 +1075,9 @@
           ".zip" -> backup_zip archive files
         | _ -> backup_tar archive files
       end
-    with e -> lprintf_nl () "Exception %s while options backup" (Printexc2.to_string e); raise e
+    with e -> lprintf_nl "Exception %s while options backup" (Printexc2.to_string e); raise e
   end;
-  lprintf_nl () "Options backup as %s correctly saved" format
+  lprintf_nl "Options backup as %s correctly saved" format
              
 let _ =
   CommonBlocking.add_update_hook CommonServer.check_blocked_servers;
@@ -1102,7 +1100,7 @@
     with _ -> ()
   );
   option_hook max_opened_connections (fun _ ->
-  if !verbose then lprintf_nl ()
+  if !verbose then lprintf_nl
     "checking max_opened_connections = %d for validity" !!max_opened_connections;
 (* original code from ./src/config/unix/MlUnix.ml
 let max_all_sockets = getdtablesize ()
@@ -1117,7 +1115,7 @@
   let min_conns = 75 in
 
   if min_conns > !!max_opened_connections then begin
-    lprintf_nl () "max_opened_connections is set too low (%d), raising to %d"
+    lprintf_nl "max_opened_connections is set too low (%d), raising to %d"
       !!max_opened_connections min_conns;
     max_opened_connections =:= min_conns
   end;
@@ -1131,9 +1129,9 @@
   if max_all_sockets < wanted_socks then
     if max_all_sockets < total_files + min_conns then (* check if ulimit is enough to allow total_files + min_conns *)
       begin
-        lprintf_nl () "only %d file descriptors available, raise ulimit open files to at least %d"
+        lprintf_nl "only %d file descriptors available, raise ulimit open files to at least %d"
           max_all_sockets wanted_socks;
-        lprintf_nl () "FD info: max_opened_connections %d, number of (possible) concurrent downloads %d, = %d fd needed"
+        lprintf_nl "FD info: max_opened_connections %d, number of (possible) concurrent downloads %d, = %d fd needed"
           !!max_opened_connections total_files wanted_socks;
         CommonGlobals.exit_properly 71
       end
@@ -1142,12 +1140,12 @@
       let new_max_opened_connections =
         maxi (max_all_sockets - total_files) (max_all_sockets / 2)
       in
-      lprintf_nl () "max_opened_connections is set too high (%d), reducing to %d"
+      lprintf_nl "max_opened_connections is set too high (%d), reducing to %d"
         !!max_opened_connections new_max_opened_connections;
       max_opened_connections =:= new_max_opened_connections;
     end;
 
-  if !verbose then lprintf_nl ()
+  if !verbose then lprintf_nl
     "max_opened_connections %d, total_files %d, max_concurrent_downloads %d, !!files %d"
       !!max_opened_connections total_files !!max_concurrent_downloads (List.length !!files);
 
Index: src/daemon/common/commonFile.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/common/commonFile.ml,v
retrieving revision 1.51
diff -u -u -w -r1.51 commonFile.ml
--- src/daemon/common/commonFile.ml	12 May 2006 21:08:30 -0000	1.51
+++ src/daemon/common/commonFile.ml	19 May 2006 21:58:15 -0000
@@ -26,15 +26,13 @@
 open CommonOptions
 open CommonGlobals
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[cF] "
-    (log_time ()); lprintf_nl2
-      
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[cF] "
-    (log_time ()); lprintf
+let log_prefix = "[cF]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 	    
 (*************************************************************************)
 (*                                                                       *)
@@ -163,7 +161,7 @@
 let ni n m =
   let s = Printf.sprintf "File.%s not implemented by %s"
       m n.network_name in
-  lprintf_nl () "%s" s;
+  lprintf_nl "%s" s;
   s
 
 let fni n m = failwith (ni n m)
@@ -258,15 +256,15 @@
   let old_name = file.impl_file_best_name in
   let real_name = Filename2.filesystem_compliant name "" in
   if real_name = "" then
-    lprintf_nl () "can not rename file \"%s\" to \"%s\""
+    lprintf_nl "can not rename file \"%s\" to \"%s\""
       (String.escaped file.impl_file_best_name) (String.escaped real_name)
   else begin
     file.impl_file_best_name <- real_name;
     if name <> real_name then
-      lprintf_nl () "wanted new name \"%s\" changed to \"%s\" due to system limitations"
+      lprintf_nl "wanted new name \"%s\" changed to \"%s\" due to system limitations"
         (String.escaped name) (String.escaped file.impl_file_best_name);
     if !verbose && old_name <> file.impl_file_best_name then
-      lprintf_nl () "best_name of \"%s\" changed to \"%s\""
+      lprintf_nl "best_name of \"%s\" changed to \"%s\""
         (String.escaped old_name) (String.escaped file.impl_file_best_name)
   end
 
@@ -832,40 +830,40 @@
   f
 
 let check_file_implementations () =
-  lprintf_nl () "\n---- Methods not implemented for CommonFile ----";
+  lprintf_nl "\n---- Methods not implemented for CommonFile ----";
   List.iter (fun (c, cc) ->
       let n = c.op_file_network.network_name in
-      lprintf_nl () "\n  Network %s" n; 
+      lprintf_nl "\n  Network %s" n; 
       if c.op_file_to_option == cc.op_file_to_option then 
-        lprintf_nl () "op_file_to_option";
+        lprintf_nl "op_file_to_option";
       if c.op_file_info == cc.op_file_info then
-        lprintf_nl () "op_file_info";
+        lprintf_nl "op_file_info";
       if c.op_file_commit == cc.op_file_commit then
-        lprintf_nl () "op_file_commit";
+        lprintf_nl "op_file_commit";
       if c.op_file_save_as == cc.op_file_save_as then
-        lprintf_nl () "op_file_save_as";
+        lprintf_nl "op_file_save_as";
       if c.op_file_cancel == cc.op_file_cancel then
-        lprintf_nl () "op_file_cancel";
+        lprintf_nl "op_file_cancel";
       if c.op_file_pause == cc.op_file_pause then
-        lprintf_nl () "op_file_pause";
+        lprintf_nl "op_file_pause";
       if c.op_file_resume == cc.op_file_resume then
-        lprintf_nl () "op_file_resume";
+        lprintf_nl "op_file_resume";
 (*      if c.op_file_disk_name == cc.op_file_disk_name then
         lprintf_nl "op_file_disk_name"; *)
       if c.op_file_check == cc.op_file_check then
-        lprintf_nl () "op_file_check";
+        lprintf_nl "op_file_check";
       if c.op_file_recover == cc.op_file_recover then
-        lprintf_nl () "op_file_recover";
+        lprintf_nl "op_file_recover";
       if c.op_file_set_format == cc.op_file_set_format then
-        lprintf_nl () "op_file_set_format";
+        lprintf_nl "op_file_set_format";
       if c.op_file_all_sources == cc.op_file_all_sources then
-        lprintf_nl () "op_file_all_sources";
+        lprintf_nl "op_file_all_sources";
       if c.op_file_active_sources == cc.op_file_active_sources then
-        lprintf_nl () "op_file_active_sources";
+        lprintf_nl "op_file_active_sources";
       if c.op_file_print_html == cc.op_file_print_html then
-        lprintf_nl () "op_file_print_html";
+        lprintf_nl "op_file_print_html";
       if c.op_file_print_sources_html == cc.op_file_print_sources_html then
-        lprintf_nl () "op_file_print_sources_html";
+        lprintf_nl "op_file_print_sources_html";
   ) !files_ops;
   lprint_newline ()
 
@@ -913,7 +911,7 @@
 let file_verify file key begin_pos end_pos =
   Unix32.flush_fd (file_fd file);
   if !verbose_md4 then begin
-      lprintf_nl () "Checksum to compute: %Ld-%Ld of %s" begin_pos end_pos
+      lprintf_nl "Checksum to compute: %Ld-%Ld of %s" begin_pos end_pos
         (file_disk_name file);
     end;
   try
@@ -935,7 +933,7 @@
     in
     let result = computed = key in
     if !verbose_md4 then begin
-        lprintf_nl () "Checksum computed: %s against %s = %s"
+        lprintf_nl "Checksum computed: %s against %s = %s"
           (string_of_uid key) 
         (string_of_uid computed)
         (if result then "VERIFIED" else "CORRUPTED");
@@ -943,7 +941,7 @@
     result
   with
     | Not_found -> raise Not_found
-    | e -> lprintf_nl () "Checksum computation failed: Exception: %s" (Printexc2.to_string e);
+    | e -> lprintf_nl "Checksum computation failed: Exception: %s" (Printexc2.to_string e);
     false
 
 let file_mtime file = Unix32.mtime64 (file_fd file)
Index: src/daemon/common/commonInteractive.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/common/commonInteractive.ml,v
retrieving revision 1.67
diff -u -u -w -r1.67 commonInteractive.ml
--- src/daemon/common/commonInteractive.ml	8 Apr 2006 01:34:03 -0000	1.67
+++ src/daemon/common/commonInteractive.ml	19 May 2006 21:58:15 -0000
@@ -41,15 +41,13 @@
 open CommonTypes
 open CommonComplexOptions
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[cInt] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[cInt] "
-    (log_time ()); lprintf
+let log_prefix = "[cInt]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 (*************  ADD/REMOVE FUNCTIONS ************)
 let check_forbidden_chars (uc : Charset.uchar) =
@@ -96,7 +94,7 @@
 let all_temp_queued = ref false
 
 let send_dirfull_warning dir line1 =
-  lprintf_nl () "WARNING: Directory %s is full, %s" dir line1;
+  lprintf_nl "WARNING: Directory %s is full, %s" dir line1;
   Printf.fprintf Pervasives.stderr "\nWARNING: Directory %s is full, %s\n" dir line1;
   Pervasives.flush Pervasives.stderr;
   if !!hdd_send_warning_interval <> 0 then
@@ -179,7 +177,7 @@
 	    ("NETWORK",   network.network_name);
 	    ("ED2K_HASH", ed2k_hash)]
   with e -> 
-      lprintf_nl () "Exception %s while executing %s"
+      lprintf_nl "Exception %s while executing %s"
         (Printexc2.to_string e) !!file_completed_cmd
   end
 
@@ -253,7 +251,7 @@
                       incoming.shdir_dirname incoming.shdir_priority
                       best_name new_name);
               with e ->
-                  lprintf_nl () "Exception %s while trying to share commited file"
+                  lprintf_nl "Exception %s while trying to share commited file"
                     (Printexc2.to_string e);
             end;
 
@@ -271,10 +269,10 @@
                   files =:= List2.removeq file !!files;
 
                 with e ->
-                    lprintf_nl () "Exception %s in file_commit secondaries" (Printexc2.to_string e);
+                    lprintf_nl "Exception %s in file_commit secondaries" (Printexc2.to_string e);
             ) secondary_files
         with e ->
-              lprintf_nl () "Exception in file_commit: %s" (Printexc2.to_string e))
+              lprintf_nl "Exception in file_commit: %s" (Printexc2.to_string e))
     | _ -> assert false
 
 let file_cancel file =
@@ -290,20 +288,20 @@
             impl.impl_file_ops.op_file_cancel impl.impl_file_val;
             files =:= List2.removeq file !!files;
           with e ->
-              lprintf_nl () "Exception %s in file_cancel" (Printexc2.to_string e);
+              lprintf_nl "Exception %s in file_cancel" (Printexc2.to_string e);
       ) subfiles;
       try
 	let fd = file_fd file in
 	(try
            Unix32.remove fd
          with e ->
-           lprintf_nl () "Sys.remove %s exception %s"
+           lprintf_nl "Sys.remove %s exception %s"
              (file_disk_name file)
              (Printexc2.to_string e));
 	Unix32.destroy fd
       with Not_found -> ()
   with e ->
-      lprintf_nl () "Exception in file_cancel: %s" (Printexc2.to_string e)
+      lprintf_nl "Exception in file_cancel: %s" (Printexc2.to_string e)
 
 let mail_for_completed_file file =
   if !!mail <> "" then
@@ -365,14 +363,14 @@
         ignore (CommonShared.new_shared "completed" 0 (
             file_best_name file ) file_name);
         (try mail_for_completed_file file with e ->
-              lprintf_nl () "Exception %s in sendmail" (Printexc2.to_string e);
+              lprintf_nl "Exception %s in sendmail" (Printexc2.to_string e);
               );
         if !!CommonOptions.chat_warning_for_downloaded then
           chat_for_completed_file file;
 
       end
   with e ->
-      lprintf_nl () "Exception in file_completed: %s" (Printexc2.to_string e)
+      lprintf_nl "Exception in file_completed: %s" (Printexc2.to_string e)
 
 let file_add impl state =
   try
@@ -394,7 +392,7 @@
         update_file_state impl state
       end
   with e ->
-      lprintf_nl () "[cInt] Exception in file_add: %s" (Printexc2.to_string e)
+      lprintf_nl "[cInt] Exception in file_add: %s" (Printexc2.to_string e)
 
 let server_remove server =
   begin
@@ -411,7 +409,7 @@
         servers =:= Intmap.remove (server_num server) !!servers
       end
   with e ->
-      lprintf_nl () "[cInt] Exception in server_remove: %s" (Printexc2.to_string e)
+      lprintf_nl "[cInt] Exception in server_remove: %s" (Printexc2.to_string e)
 
 let server_add impl =
   let server = as_server impl in
@@ -450,7 +448,7 @@
       end
 
   with e ->
-      lprintf_nl () "Exception in friend_remove: %s" (Printexc2.to_string e)
+      lprintf_nl "Exception in friend_remove: %s" (Printexc2.to_string e)
 
 let contact_add c =
   let impl = as_client_impl c in
@@ -471,7 +469,7 @@
         impl.impl_client_ops.op_client_clear_files impl.impl_client_val
       end
   with e ->
-      lprintf_nl () "Exception in contact_remove: %s" (Printexc2.to_string e)
+      lprintf_nl "Exception in contact_remove: %s" (Printexc2.to_string e)
 
 let exit_counter = ref 0
 let exit_timer = ref false
@@ -814,7 +812,7 @@
        !names
 
 let apply_on_fully_qualified_options name f =
-  if !verbose then lprintf_nl () "Change option %s" name;
+  if !verbose then lprintf_nl "Change option %s" name;
   let rec iter prefix opfile =
     let args = simple_options prefix opfile in
     List.iter (fun o ->
@@ -837,7 +835,7 @@
               false
             with Exit -> true
         )) then begin
-        lprintf_nl () "Could not set option %s" name;
+        lprintf_nl "Could not set option %s" name;
         raise Not_found
       end
   with Exit -> ()
@@ -895,7 +893,7 @@
           | _ -> ()
         end
     | QNone ->
-        lprintf_nl () "start_search: QNone in query";
+        lprintf_nl "start_search: QNone in query";
         ()
   in
   iter query;
Index: src/daemon/common/commonServer.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/common/commonServer.ml,v
retrieving revision 1.29
diff -u -u -w -r1.29 commonServer.ml
--- src/daemon/common/commonServer.ml	9 May 2006 16:31:37 -0000	1.29
+++ src/daemon/common/commonServer.ml	19 May 2006 21:58:16 -0000
@@ -25,15 +25,13 @@
 open CommonUser
 open CommonTypes
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[cSe] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[cSe] "
-    (log_time ()); lprintf
+let log_prefix = "[cSe]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 module G = GuiTypes
 
@@ -66,7 +64,7 @@
 let ni n m =
   let s = Printf.sprintf "Server.%s not implemented by %s"
       m n.network_name in
-  lprintf_nl () "%s" s;
+  lprintf_nl "%s" s;
   s
 
 let fni n m =  failwith (ni n m)
@@ -226,36 +224,36 @@
   s
 
 let check_server_implementations () =
-  lprintf_nl () "----- Methods not implemented for CommonServer ----";
+  lprintf_nl "----- Methods not implemented for CommonServer ----";
   List.iter (fun (c, cc) ->
       let n = c.op_server_network.network_name in
-      lprintf_nl ()"  Network %s" n;
+      lprintf_nl "  Network %s" n;
       if c.op_server_remove == cc.op_server_remove then
-        lprintf_nl () "op_server_remove";
+        lprintf_nl "op_server_remove";
       if c.op_server_to_option == cc.op_server_to_option then
-        lprintf_nl () "op_server_to_option";
+        lprintf_nl "op_server_to_option";
       if c.op_server_info == cc.op_server_info then
-        lprintf_nl () "op_server_info";
+        lprintf_nl "op_server_info";
       if c.op_server_sort == cc.op_server_sort then
-        lprintf_nl () "op_server_sort";
+        lprintf_nl "op_server_sort";
       if c.op_server_connect == cc.op_server_connect then
-        lprintf_nl () "op_server_connect";
+        lprintf_nl "op_server_connect";
       if c.op_server_disconnect == cc.op_server_disconnect then
-        lprintf_nl () "op_server_disconnect";
+        lprintf_nl "op_server_disconnect";
       if c.op_server_find_user == cc.op_server_find_user then
-        lprintf_nl () "op_server_find_user";
+        lprintf_nl "op_server_find_user";
       if c.op_server_query_users == cc.op_server_query_users then
-        lprintf_nl () "op_server_query_users";
+        lprintf_nl "op_server_query_users";
       if c.op_server_users == cc.op_server_users then
-        lprintf_nl () "op_server_users";
+        lprintf_nl "op_server_users";
       if c.op_server_cid == cc.op_server_cid then
-        lprintf_nl () "op_server_cid";
+        lprintf_nl "op_server_cid";
       if c.op_server_low_id == cc.op_server_low_id then
-        lprintf_nl () "op_server_low_id";
+        lprintf_nl "op_server_low_id";
       if c.op_server_rename == cc.op_server_rename then
-        lprintf_nl () "op_server_rename";
+        lprintf_nl "op_server_rename";
       if c.op_server_set_preferred == cc.op_server_set_preferred then
-        lprintf_nl () "op_server_set_preferred";
+        lprintf_nl "op_server_set_preferred";
   ) !servers_ops;
   lprint_newline ()
 
@@ -330,21 +328,21 @@
           (match impl.impl_server_state with
              NotConnected _ -> ()
          | _ -> server_disconnect s;
-              lprintf_nl () "Disconnected server %s (%s:%d), IP is now blocked"
+              lprintf_nl "Disconnected server %s (%s:%d), IP is now blocked"
                 info.G.server_name
                 (Ip.string_of_addr info.G.server_addr)
                 info.G.server_port);
       end;
       server_must_update s)
   with e ->
-    lprintf_nl () "Exception in check_blocked_servers: %s" (Printexc2.to_string e)
+    lprintf_nl "Exception in check_blocked_servers: %s" (Printexc2.to_string e)
 
 let server_must_update_all () =
   try
     server_iter (fun s ->
       server_must_update s)
   with e ->
-    lprintf_nl () "Exception in server_must_update_all: %s" (Printexc2.to_string e)
+    lprintf_nl "Exception in server_must_update_all: %s" (Printexc2.to_string e)
 
 let server_banner s o =
   let buf = o.conn_buf in
@@ -380,7 +378,7 @@
   try
     let info =
       try server_info s with e ->
-          lprintf_nl () "Exception %s in server_info (%s)\n"
+          lprintf_nl "Exception %s in server_info (%s)\n"
             (Printexc2.to_string e) n.network_name;
           raise e in
 
@@ -529,5 +527,5 @@
       end;
 
   with e ->
-      lprintf_nl () "Exception %s in CommonServer.server_print"
+      lprintf_nl "Exception %s in CommonServer.server_print"
         (Printexc2.to_string e)
Index: src/daemon/common/commonShared.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/common/commonShared.ml,v
retrieving revision 1.31
diff -u -u -w -r1.31 commonShared.ml
--- src/daemon/common/commonShared.ml	12 May 2006 21:08:30 -0000	1.31
+++ src/daemon/common/commonShared.ml	19 May 2006 21:58:16 -0000
@@ -80,9 +80,10 @@
 let fni  n m =  failwith (ni n m)
 let ni_ok n m = ignore (ni n m)
 
-let lprintf_nl () =
-  lprintf "%s[cSha] "
-  (log_time ()); lprintf_nl2
+let log_prefix = "[cSha]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
     
 let shared_calculate_total_bytes () =
   nshared_bytes := Int64.zero;
@@ -107,7 +108,7 @@
 let update_shared_num impl =
   if impl.impl_shared_num = 0 then begin
       if !verbose_share then
-          lprintf_nl () "NEW SHARED %s/%s" impl.impl_shared_codedname
+          lprintf_nl "NEW SHARED %s/%s" impl.impl_shared_codedname
             impl.impl_shared_fullname; 
       incr shared_counter;
       impl.impl_shared_num <- !shared_counter;
@@ -143,13 +144,13 @@
         name in
   let codedname = Filename.concat dirname filename in
   if !verbose_share then
-    lprintf_nl () "sharing %s" fullname;
+    lprintf_nl "sharing %s" fullname;
   let size = Unix32.getsize fullname in
   incr files_scanned;
   files_scanned_size := !files_scanned_size ++ size;
   if Unix2.is_directory fullname then begin
     if !verbose_share then
-      lprintf_nl () "new_shared: %s is directory! Skipped network.share" fullname;
+      lprintf_nl "new_shared: %s is directory! Skipped network.share" fullname;
   end
   else begin
   CommonNetwork.networks_iter (fun n -> 
@@ -250,7 +251,7 @@
   if can_share dirname then
     try
       let files = Unix2.list_directory full_dir in
-      if !verbose_share then lprintf_nl () "Sharing sub-directory %s" full_dir; 
+      if !verbose_share then lprintf_nl "Sharing sub-directory %s" full_dir; 
       List.iter (fun file ->
           if file <> "" && file.[0] <> '.' then
             let full_name = Filename.concat full_dir file in
@@ -262,13 +263,13 @@
 	          begin
 		    let inode = ((Unix.stat full_name).Unix.st_ino) in
 		      if inode = incoming_files_inode then
-		        if !verbose_share then lprintf_nl () "avoid sharing incoming_files %s" full_dir else ()
+            if !verbose_share then lprintf_nl "avoid sharing incoming_files %s" full_dir else ()
 		      else
 		        if inode = incoming_directories_inode then
-			  if !verbose_share then lprintf_nl () "avoid sharing incoming_directories %s" full_dir else ()
+        if !verbose_share then lprintf_nl "avoid sharing incoming_directories %s" full_dir else ()
 			else
 			  if inode = temp_directory_inode then
-			    if !verbose_share then lprintf_nl () "avoid sharing temp %s" full_dir else ()
+          if !verbose_share then lprintf_nl "avoid sharing temp %s" full_dir else ()
 			  else
 			    shared_add_directory shared_dir local_name
                   end
@@ -288,15 +289,15 @@
                   new_shared dirname shared_dir.shdir_priority
                     local_name full_name
               with e -> 
-                  lprintf_nl () "%s will not be shared (exception %s)"
+                  lprintf_nl "%s will not be shared (exception %s)"
                     full_name (Printexc2.to_string e);
             with _ -> ()
       ) files
     with e -> 
-        lprintf_nl () "Exception %s while sharing %s"
+        lprintf_nl "Exception %s while sharing %s"
            (Printexc2.to_string e) full_dir
   else 
-    lprintf_nl () "Cannot share %s" full_dir
+    lprintf_nl "Cannot share %s" full_dir
 
 let _ = 
   BasicSocket.add_infinite_timer 1. (fun _ ->
@@ -313,7 +314,7 @@
     
 let shared_add_directory shared_dir =
   if shared_dir.shdir_dirname <> "" then begin
-      if !verbose_share then lprintf_nl () "Sharing %s prio %d" shared_dir.shdir_dirname
+      if !verbose_share then lprintf_nl "Sharing %s prio %d" shared_dir.shdir_dirname
         shared_dir.shdir_priority;
       shared_add_directory shared_dir ""
     end
